Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001674Anope Stable (2.0.x series)[All Projects] Generalpublic2016-04-20 15:402016-07-03 18:43
ReporterAnikwa 
Assigned ToAdam 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0001674: XMLRPC "Notice" sends the notice but returns a 404.
DescriptionWhen sending a NOTICE via XMLRPC, the notice sends to the user
(-MemoServ- Anikwa sent you a message. To view: https://***/messages/Anikwa [^])

but PHP gets this back despite it being successful.

file_get_contents(https://irc.***:8080/xmlrpc [^]): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found
Tagswebcpanel
Attached Files

- Relationships

-  Notes
(0006801)
Adam (administrator)
2016-07-03 18:43

Fixed in 4c4cc0ded7889cc65ee7faafd0e8b9c33421fd8d
(0006790)
Anikwa (reporter)
2016-04-23 21:07

I have supplied a fix for this on GitHub.

https://github.com/anope/anope/pull/167 [^]
(0006789)
Anikwa (reporter)
2016-04-20 15:42
edited on: 2016-04-23 20:37

I should probably state that my version is:
Anope-2.0.3 services.* UnrealIRCd 3.2.x (and Unreal4.x) -(enc_bcrypt) -- build 0000004, compiled 20:26:43 Apr 13 2016


- Issue History
Date Modified Username Field Change
2016-04-20 15:40 Anikwa New Issue
2016-04-20 15:42 Anikwa Note Added: 0006789
2016-04-23 20:37 Anikwa Note Edited: 0006789 View Revisions
2016-04-23 21:07 Anikwa Note Added: 0006790
2016-05-10 15:36 Anikwa Tag Attached: webcpanel
2016-07-03 18:43 Adam Note Added: 0006801
2016-07-03 18:43 Adam Status new => resolved
2016-07-03 18:43 Adam Resolution open => fixed
2016-07-03 18:43 Adam Assigned To => Adam


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker